Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class LocalCache.KeyMask

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.cache.LocalCache.KeyMask`

Enclosing class:
  LocalCache

      protected class LocalCache.KeyMask

extends Base

A class that masks certain changes so that they are not reported back to the CacheStore.

Constructor Summary
`protected` | `LocalCache.KeyMask()`

Method Summary
`boolean` | `ensureSynthetic()` Ensure that the synthetic operation flag is set.
`boolean` | `isIgnored(Object oKey)` Check if a key should be ignored.
`boolean` | `isSynthetic()` Check whether or not the currently performed operation is internally initiated.
`void` | `setSynthetic(boolean fSynthetic)` Specify whether or not the currently performed operation is internally initiated.

Constructor Detail

### LocalCache.KeyMask

    protected LocalCache.KeyMask()

Method Detail

### isIgnored

    public boolean isIgnored(Object oKey)

  Check if a key should be ignored.
  Parameters:
    `oKey` - the key that a change event has occurred for
  Returns:
    true if change events for the key should be ignored

### isSynthetic

    public boolean isSynthetic()

  Check whether or not the currently performed operation is internally initiated.
  Returns:
    true iff the the current operation is internal

### setSynthetic

    public void setSynthetic(boolean fSynthetic)

  Specify whether or not the currently performed operation is internally initiated.
  Parameters:
    `fSynthetic` - true iff the the current operation is internal

### ensureSynthetic

    public boolean ensureSynthetic()

  Ensure that the synthetic operation flag is set.
  Returns:
    the previous value of the flag

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.